Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.data.processing.http
Class HttpHeaders

    java.lang.Object
      things.data.processing.http.HttpHeaders

Direct Known Subclasses:
  HttpRequest, HttpResponse

    public class HttpHeaders

extends java.lang.Object

Headers found in requests and/or responses.

Version:
  1.0

  Version History

      EPG - Initial - 2 FEB 07

Author:
  Erich P. Gatejen

Field Summary
`ThingsPropertyView` | `bodyValues` Request body values.
`static int` | `CODE_CONTINUE`
`static int` | `CODE_OK`
`java.lang.String` | `codeText` Code text.
`long` | `contentLength` Content length.
`java.lang.String` | `contentType` Content type.
`ThingsPropertyView` | `headerItems` Header items.
`java.lang.String` | `httpVersion` HTTP version.
`java.lang.String` | `path` The Path.
`java.lang.String` | `server` The Server.
`java.lang.String` | `transferEncoding` The transfer encoding.
`ThingsPropertyView` | `urlValues` Request URL values.

Constructor Summary
`HttpHeaders()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CODE_CONTINUE

    public static final int CODE_CONTINUE

See Also:
  Constant Field Values

### CODE_OK

    public static final int CODE_OK

See Also:
  Constant Field Values

### server

    public java.lang.String server

  The Server.

### path

    public java.lang.String path

  The Path.

### codeText

    public java.lang.String codeText

  Code text.

### transferEncoding

    public java.lang.String transferEncoding

  The transfer encoding.

### headerItems

    public ThingsPropertyView headerItems

  Header items. Note that contentLength and contentType should not be included, as they are already processed.

### bodyValues

    public ThingsPropertyView bodyValues

  Request body values.

### urlValues

    public ThingsPropertyView urlValues

  Request URL values.

### contentLength

    public long contentLength

  Content length.

### contentType

    public java.lang.String contentType

  Content type.

### httpVersion

    public java.lang.String httpVersion

  HTTP version.

Constructor Detail

### HttpHeaders

    public HttpHeaders()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.